//
//  ViewController.m
//  ex_ADBannerView
//
//  Created by yoshiyuki oshige on 2014/03/10.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"
#import <iAd/iAd.h>

@interface ViewController () <ADBannerViewDelegate>

// 広告バナーをアウトレット接続して挿入したプロパティ宣言
@property (weak, nonatomic) IBOutlet ADBannerView *iAdBanner;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    // 広告バナーのデリゲートになる
    self.iAdBanner.delegate = self;
    
    // 広告バナーを隠しておく
    self.iAdBanner.alpha = 0.0;
    self.iAdBanner.hidden = YES;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// 広告バナーの内容が読み込まれた
- (void)bannerViewDidLoadAd:banner
{
    // フェードインで表示する
    [UIView animateWithDuration:1.0
                     animations:^{
                         self.iAdBanner.alpha = 1.0;
                     }];
    self.iAdBanner.hidden = NO;
}

// 広告バナーの内容を受信できなかった
- (void)bannerView:(ADBannerView *)banner didFailToReceiveAdWithError:(NSError *)error
{
    NSLog(@"表示する広告がない");
}

@end
