//
//  ViewController.m
//  ex_UIActionSheet
//
//  Created by yoshiyuki oshige on 2014/03/09.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController () <UIActionSheetDelegate>

// 絵をアウトレット接続して挿入したプロパティ宣言
@property (weak, nonatomic) IBOutlet UIImageView *flower;

// ボタンをアクション接続して挿入したメソッド宣言
- (IBAction)choiceColor:(UIButton *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// ボタンタップでアクションシートを表示する
- (IBAction)choiceColor:(UIButton *)sender {
    
    // アクションシートを作る
    UIActionSheet * sheet = [[UIActionSheet alloc] initWithTitle:@"背景色を選んでください"
                                                        delegate:self
                                               cancelButtonTitle:@"キャンセル"
                                          destructiveButtonTitle:NULL
                                               otherButtonTitles:@"緑色", @"桃色", @"青色", NULL];
    
    // アクションシートを表示する
    [sheet showInView:self.view];
}

// アクションシートで色を選ぶと実行されるデリゲートメソッド
- (void)actionSheet:(UIActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex {
    UIColor *color;
    
    // 色を選ぶ
    switch (buttonIndex) {
        case 0: //緑色
            color = [UIColor colorWithRed:0.654929 green:1.0 blue:0.451763 alpha:1.0];
            break;
        case 1: //桃色
            color = [UIColor colorWithRed:0.906111 green:0.907545 blue:0.882492 alpha:1.0];
            break;
        case 2: //青色
            color = [UIColor colorWithRed:0.319286 green:0.878422 blue:1.0 alpha:1.0];
            break;
        case 3: //キャンセル
            color = self.flower.backgroundColor; //現在の背景色
            break;
    }
    
    // 背景色を設定する
    self.flower.backgroundColor = color;
}

@end
